### Method

# Gtk SelectionModel get_selection

#### Declaration [src]

    GtkBitset*
    gtk_selection_model_get_selection (
      GtkSelectionModel* model
    )

#### Description [src]

Gets the set containing all currently selected items in the model.

This function may be slow, so if you are only interested in single item, consider using gtk_selection_model_is_selected() or if you are only interested in a few, consider gtk_selection_model_get_selection_in_range().

#### Return value

Returns: | `GtkBitset`
| A `GtkBitset` containing all the values currently selected in `model`. If no items are selected, the bitset is empty. The bitset must not be modified.
| The caller of the function takes ownership of the data, and is responsible for freeing it.